XdbeDeallocateBackBufferName(3) | Library Functions Manual | XdbeDeallocateBackBufferName(3)

# NAME

XdbeDeallocateBackBufferName - frees a DBE buffer.

# SYNOPSIS

#include <X11/extensions/Xdbe.h>

Status XdbeDeallocateBackBufferName(
Display *dpy,
XdbeBackBuffer buffer)

# DESCRIPTION

This function frees a drawable ID, buffer, that was obtained via XdbeAllocateBackBufferName(). The buffer must be a valid name for the back buffer of a window, or a protocol error results.

# ERRORS

BadBuffer
  The specified buffer is not associated with a window.

# SEE ALSO

DBE, XdbeAllocateBackBufferName(), XdbeBeginIdiom(), XdbeEndIdiom(), XdbeFreeVisualInfo(), XdbeGetBackBufferAttributes(), XdbeGetVisualInfo(), XdbeQueryExtension(), XdbeSwapBuffers().

X Version 11 | X FUNCTIONS